<?php

$alteraArquivo = $_GET['ALTERAR_ARQUIVO'];
if ((isset($alteraArquivo)) and ($alteraArquivo == 'S')) {
  $id = $_GET['ID'];
  $maquina = $_GET['ID_MAQUINA'];
  $nomeAntigo = $_GET['NOME_ANTIGO'];
  $tipo = $_GET['TIPO'];
  $nomeNovo = 'JsonVenda-' . $id . '-' . $maquina . '-' . $tipo . '.txt';

  rename($nomeAntigo, $nomeNovo);

  echo $nomeNovo;
} else {
  $param = $_GET['ID_MAQUINA'] . '-*';
  $expr = 'JsonVenda*' . $param . '.txt';
  $arquivos = [];

  foreach (glob($expr) as $path) {
    array_push($arquivos, $path);
  }
  echo json_encode($arquivos);
}
